function calculagraph(){
	this._id=null;
	this._sT=null;
	this._cT=null;
	this._eT=null;
	//this._xT=null;//剩余天数
	this._lT=null;
	this._gT=function(){
	    if (this._lT==null){
		    if(this._sT!=null)this._sT=new Date(this._sT.replace(/-/g,"/"));
            this._cT=new Date(this._cT.replace(/-/g,"/"));
            this._eT=new Date(this._eT.replace(/-/g,"/"));
            this._lT=this._eT-this._cT;   
            this._lT=this._lT/1000     
		}
		if (this._lT>=0){
			var _H=Math.floor(this._lT/3600);
		    var _M=Math.floor((this._lT-_H*3600)/60);
		    var _S=(this._lT-_H*3600)%60;
			document.getElementById(this._id).innerHTML="剩余<strong>"+ _H +"</strong>小时<strong>"+ _M +"</strong>分<strong>"+ _S +"</strong>秒";
			this._lT--;
		}
		else{
			document.getElementById(this._id).innerHTML="<strong style='font-size:14px;'>抢购结束</strong>";
		}
	}
	this._interval=function(){
		var o = this;
		this._interval = setInterval(function(){o._gT()},1000);
	}
}